Skip to main content
GET
/
api
/
decision
/
v1.0
/
customer
/
{customerId}
/
Decision
cURL
curl --request GET \
  --url https://app.allyy.io/api/decision/v1.0/customer/{customerId}/Decision \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "errors": [
      {
        "code": "<string>",
        "message": "<string>"
      }
    ],
    "validation": [
      {
        "property": "<string>",
        "message": "<string>"
      }
    ],
    "info": {}
  },
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "predictionConfigurationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "predictionName": "<string>",
      "dataset": "<string>",
      "yaml": "<string>",
      "lastRun": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "totalItemsCount": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

customerId
string<uuid>
required
version
string
required

Query Parameters

dataSetIds
string<uuid>[]
modelType
enum<integer>
Available options:
4,
6,
7,
8,
9
status
enum<integer>
Available options:
1,
2,
20,
100
orderBy
string
orderByDesc
boolean
take
integer<int32>
skip
integer<int32>

Response

OK

meta
object
data
object[] | null
totalItemsCount
integer<int32>